## ignition-physics2 2.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1 FATAL_ERROR)

#============================================================================
# Initialize the project
#============================================================================
project(ignition-physics2 VERSION 2.5.0)

#============================================================================
# Find ignition-cmake
#============================================================================
find_package(ignition-cmake2 2.8.0 REQUIRED)

#============================================================================
# Configure the project
#============================================================================
ign_configure_project(VERSION_SUFFIX)


#============================================================================
# Set project-specific options
#============================================================================

option(ENABLE_PROFILER "Enable Ignition Profiler" FALSE)

if(ENABLE_PROFILER)
  add_definitions("-DIGN_PROFILER_ENABLE=1")
else()
  add_definitions("-DIGN_PROFILER_ENABLE=0")
endif()

#============================================================================
# Search for project-specific dependencies
#============================================================================
message(STATUS "\n\n-- ====== Finding Dependencies ======")

#--------------------------------------
# Find ignition-common
ign_find_package(ignition-common3
  COMPONENTS graphics profiler
  REQUIRED_BY mesh dartsim tpe tpelib)
set(IGN_COMMON_VER ${ignition-common3_VERSION_MAJOR})

#--------------------------------------
# Find ignition-math
ign_find_package(ignition-math6 REQUIRED COMPONENTS eigen3)
set(IGN_MATH_VER ${ignition-math6_VERSION_MAJOR})

#--------------------------------------
# Find ignition-plugin
ign_find_package(ignition-plugin1 REQUIRED COMPONENTS all VERSION 1.1)
set(IGN_PLUGIN_VER ${ignition-plugin1_VERSION_MAJOR})

#--------------------------------------
# Find Eigen
ign_find_package(EIGEN3 REQUIRED)

#--------------------------------------
# Find SDFormat for the SDF features
ign_find_package(sdformat9
  VERSION 9.3
  REQUIRED_BY sdf dartsim tpe)

#--------------------------------------
# Find dartsim for the dartsim plugin wrapper
ign_find_package(DART
  COMPONENTS
    collision-ode
    utils
    utils-urdf
  EXTRA_ARGS CONFIG
  VERSION 6.9
  REQUIRED_BY dartsim
  PKGCONFIG dart
  PKGCONFIG_VER_COMPARISON >=)


message(STATUS "-------------------------------------------\n")

set(IGNITION_PHYSICS_RESOURCE_DIR "${CMAKE_SOURCE_DIR}/resources")

# Plugin install dirs
set(IGNITION_PHYSICS_ENGINE_INSTALL_DIR
  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
)

#============================================================================
# Configure the build
#============================================================================
ign_configure_build(QUIT_IF_BUILD_ERRORS
  COMPONENTS sdf mesh dartsim tpe)


#============================================================================
# Create package information
#============================================================================
ign_create_packages()


#============================================================================
# Create documentation
#============================================================================
configure_file(${CMAKE_SOURCE_DIR}/api.md.in ${CMAKE_BINARY_DIR}/api.md)
configure_file(${CMAKE_SOURCE_DIR}/tutorials.md.in ${CMAKE_BINARY_DIR}/tutorials.md)

ign_create_docs(
  API_MAINPAGE_MD "${CMAKE_BINARY_DIR}/api.md"
  TUTORIALS_MAINPAGE_MD "${CMAKE_BINARY_DIR}/tutorials.md"
  TAGFILES
    "${IGNITION-COMMON_DOXYGEN_TAGFILE} = ${IGNITION-COMMON_API_URL}"
    "${IGNITION-PLUGIN_DOXYGEN_TAGFILE} = ${IGNITION-PLUGIN_API_URL}"
    "${IGNITION-MATH_DOXYGEN_TAGFILE} = ${IGNITION-MATH_API_URL}"
  )

file(COPY ${CMAKE_SOURCE_DIR}/tutorials/img/ DESTINATION ${CMAKE_BINARY_DIR}/doxygen/html/img/)

=== dartsim/CMakeLists.txt ===
# This component expresses custom features of the dartsim plugin, which can
# expose native dartsim data types.
ign_add_component(dartsim INTERFACE
  DEPENDS_ON_COMPONENTS sdf mesh
  GET_TARGET_NAME features)

target_link_libraries(${features} INTERFACE ${DART_LIBRARIES})
target_include_directories(${features} SYSTEM INTERFACE ${DART_INCLUDE_DIRS})

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")

ign_get_libsources_and_unittests(sources test_sources)

# TODO(MXG): Think about an ign_add_plugin(~) macro for ign-cmake
set(engine_name dartsim-plugin)
ign_add_component(${engine_name}
  SOURCES ${sources}
  DEPENDS_ON_COMPONENTS dartsim
  GET_TARGET_NAME dartsim_plugin)

target_link_libraries(${dartsim_plugin}
  PUBLIC
    ${features}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-math${IGN_MATH_VER}::eigen3
  PRIVATE
    # We need to link this, even when the profiler isn't used to get headers.
    ignition-common${IGN_COMMON_VER}::profiler
)

# The ignition fork of DART contains additional code that allows customizing 
# contact constraints. We check for the presence of "ContactSurface.hpp", which 
# was added to enable these customizations, to detect if the feature is 
# available.
include(CheckIncludeFileCXX)
if (MSVC)
  set(CMAKE_REQUIRED_FLAGS "/std:c++14")
else()
  set(CMAKE_REQUIRED_FLAGS "-std=c++14")
endif()
set(CMAKE_REQUIRED_INCLUDES "${DART_INCLUDE_DIRS};${EIGEN3_INCLUDE_DIRS}")
set(CMAKE_REQUIRED_QUIET false)

CHECK_INCLUDE_FILE_CXX(dart/constraint/ContactSurface.hpp DART_HAS_CONTACT_SURFACE_HEADER)
if (DART_HAS_CONTACT_SURFACE_HEADER)
  target_compile_definitions(${dartsim_plugin} PRIVATE DART_HAS_CONTACT_SURFACE)
else()
  message(STATUS "The version of DART does not support Contact constraint customizations.")
endif()

# Note that plugins are currently being installed in 2 places: /lib and the engine-plugins dir
install(TARGETS ${dartsim_plugin} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})

# The library created by `ign_add_component` includes the ign-physics version
# (i.e. libignition-physics1-name-plugin.so), but for portability,
# we also install an unversioned symlink into the same versioned folder.
set(versioned ${CMAKE_SHARED_LIBRARY_PREFIX}${dartsim_plugin}${CMAKE_SHARED_LIBRARY_SUFFIX})
set(unversioned ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME_NO_VERSION_LOWER}-${engine_name}${CMAKE_SHARED_LIBRARY_SUFFIX})
if (WIN32)
  # create_symlink requires cmake 3.13 on windows
  cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
endif()
EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink ${versioned} ${unversioned})
INSTALL(FILES ${PROJECT_BINARY_DIR}/${unversioned} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})

# Testing
ign_build_tests(
  TYPE UNIT
  SOURCES ${test_sources}
  LIB_DEPS
    ${features}
    ignition-plugin${IGN_PLUGIN_VER}::loader
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
  TEST_LIST tests)

foreach(test ${tests})

  target_compile_definitions(${test} PRIVATE
    "dartsim_plugin_LIB=\"$<TARGET_FILE:${dartsim_plugin}>\""
    "TEST_WORLD_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/worlds/\""
    "IGNITION_PHYSICS_RESOURCE_DIR=\"${IGNITION_PHYSICS_RESOURCE_DIR}\"")

  if (DART_HAS_CONTACT_SURFACE_HEADER)
    target_compile_definitions(${test} PRIVATE DART_HAS_CONTACT_SURFACE)
  endif()

  # Helps when we want to build a single test after making changes to dartsim_plugin
  add_dependencies(${test} ${dartsim_plugin})
endforeach()

foreach(test UNIT_FindFeatures_TEST UNIT_RequestFeatures_TEST)
  if(TARGET ${test})
    target_compile_definitions(${test} PRIVATE
      "dartsim_plugin_LIB=\"$<TARGET_FILE:${dartsim_plugin}>\"")
  endif()
endforeach()

=== src/CMakeLists.txt ===
ign_get_libsources_and_unittests(sources gtest_sources)

ign_create_core_library(SOURCES ${sources} CXX_STANDARD 17)

target_link_libraries(${PROJECT_LIBRARY_TARGET_NAME}
  PUBLIC
    ${ignition-math${IGN_MATH_VER}_LIBRARIES}
    ignition-plugin${IGN_PLUGIN_VER}::register)

target_include_directories(${PROJECT_LIBRARY_TARGET_NAME}
  SYSTEM PUBLIC
    ${EIGEN3_INCLUDE_DIRS})

ign_build_tests(
  TYPE UNIT
  SOURCES ${gtest_sources})

if(TARGET UNIT_FindFeatures_TEST)
  target_link_libraries(UNIT_FindFeatures_TEST
    ignition-plugin${IGN_PLUGIN_VER}::loader)
endif()

=== test/CMakeLists.txt ===
if (NOT BUILD_TESTING)
  return()
endif()

include_directories (
  ${PROJECT_SOURCE_DIR}/test/gtest/include
  ${PROJECT_SOURCE_DIR}/test/gtest
  ${PROJECT_SOURCE_DIR}/test
)

# Build gtest
add_library(gtest STATIC gtest/src/gtest-all.cc)
add_library(gtest_main STATIC gtest/src/gtest_main.cc)
target_link_libraries(gtest_main gtest)
set(GTEST_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest.a")
set(GTEST_MAIN_LIBRARY "${PROJECT_BINARY_DIR}/test/libgtest_main.a")

# This gives us access to src/utils headers
include_directories(${PROJECT_SOURCE_DIR}/src)

add_subdirectory(benchmark)
add_subdirectory(plugins)
add_subdirectory(integration)
add_subdirectory(performance)
add_subdirectory(regression)
add_subdirectory(static_assert)

=== tpe/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(plugin)

=== examples/hello_world_loader/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 2)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_executable(hello_world_loader hello_world_loader.cc)
target_link_libraries(hello_world_loader
  ignition-plugin${IGN_PLUGIN_VER}::loader
  ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

=== examples/hello_world_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 2)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_library(HelloWorldPlugin SHARED HelloWorldPlugin.cc)
target_link_libraries(HelloWorldPlugin
  PRIVATE
    ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

=== examples/simple_plugin/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5 FATAL_ERROR)

set(IGN_PLUGIN_VER 1)
find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

set(IGN_PHYSICS_VER 2)
find_package(ignition-physics${IGN_PHYSICS_VER} REQUIRED)

add_library(SimplePlugin SHARED plugin.cc EntityManagementFeatures.cc)
target_link_libraries(SimplePlugin
  PRIVATE
    ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

add_executable(PluginTest EntityManagementFeatures_TEST.cc)
target_link_libraries(PluginTest
  ignition-plugin${IGN_PLUGIN_VER}::loader
  ignition-physics${IGN_PHYSICS_VER}::ignition-physics${IGN_PHYSICS_VER})

target_compile_definitions(PluginTest PRIVATE
  "simple_plugin_LIB=\"$<TARGET_FILE:SimplePlugin>\"")

=== test/integration/CMakeLists.txt ===

ign_get_sources(tests)

if (NOT DART_FOUND)
  list(REMOVE_ITEM tests DoublePendulum.cc)
endif()

ign_build_tests(
  TYPE INTEGRATION
  SOURCES ${tests}
  LIB_DEPS
    Eigen3::Eigen
    ignition-plugin${IGN_PLUGIN_VER}::loader
  TEST_LIST list)

if (BUILD_TESTING)
  foreach(test ${list})

    list(APPEND mock_plugins
        MockEntities
        MockFrames
        MockJoints)
    if (DART_FOUND)
      list(APPEND mock_plugins MockDoublePendulum)
    endif()

    foreach(mock_plugin IN LISTS mock_plugins)

      target_compile_definitions(${test} PRIVATE
        "${mock_plugin}_LIB=\"$<TARGET_FILE:${mock_plugin}>\"")

      add_dependencies(${test} ${mock_plugin})

    endforeach()

  endforeach()
endif()

=== test/plugins/CMakeLists.txt ===
if (DART_FOUND)
  add_library(MockDoublePendulum SHARED DARTDoublePendulum.cc)
  target_link_libraries(MockDoublePendulum PRIVATE ignition-common${IGN_COMMON_VER}::core)
endif()
add_library(MockEntities SHARED MockEntities.cc)
add_library(MockFrames SHARED frames.cc)
add_library(MockJoints SHARED MockJoints.cc)

list(APPEND plugins
    MockEntities
    MockFrames
    MockJoints)
if (DART_FOUND)
  list(APPEND plugins MockDoublePendulum)
endif()

foreach(plugin IN LISTS plugins)
  target_link_libraries(${plugin}
    PRIVATE
      ${PROJECT_LIBRARY_TARGET_NAME})
endforeach()

if (DART_FOUND)
  target_link_libraries(MockDoublePendulum PUBLIC ${DART_LIBRARIES})
  target_compile_definitions(MockDoublePendulum PRIVATE
    "IGNITION_PHYSICS_RESOURCE_DIR=\"${IGNITION_PHYSICS_RESOURCE_DIR}\"")
endif()

=== tpe/plugin/CMakeLists.txt ===
# This component expresses custom features of the tpe plugin, which can
# expose native tpe data types.
ign_add_component(tpe INTERFACE
  DEPENDS_ON_COMPONENTS sdf mesh
  GET_TARGET_NAME features)

target_link_libraries(${features} INTERFACE ${PROJECT_LIBRARY_TARGET_NAME}-tpelib)
target_include_directories(${features} SYSTEM INTERFACE)

ign_get_libsources_and_unittests(sources test_sources)

# TODO(MXG): Think about an ign_add_plugin(~) macro for ign-cmake
set(engine_name tpe-plugin)
ign_add_component(${engine_name}
  SOURCES ${sources}
  DEPENDS_ON_COMPONENTS tpe
  GET_TARGET_NAME tpe_plugin)

set(tpelib_dir ${PROJECT_SOURCE_DIR}/tpe)
target_include_directories(${tpe_plugin} PRIVATE ${tpelib_dir})

target_link_libraries(${tpe_plugin}
  PUBLIC
    ${features}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ignition-math${IGN_MATH_VER}::eigen3
  PRIVATE
    # We need to link this, even when the profiler isn't used to get headers.
    ignition-common${IGN_COMMON_VER}::profiler
)

# Note that plugins are currently being installed in 2 places: /lib and the engine-plugins dir
install(TARGETS ${tpe_plugin} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})

# The library created by `ign_add_component` includes the ign-physics version
# (i.e. libignition-physics1-name-plugin.so), but for portability,
# we also install an unversioned symlink into the same versioned folder.
set(versioned ${CMAKE_SHARED_LIBRARY_PREFIX}${tpe_plugin}${CMAKE_SHARED_LIBRARY_SUFFIX})
set(unversioned ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME_NO_VERSION_LOWER}-${engine_name}${CMAKE_SHARED_LIBRARY_SUFFIX})
if (WIN32)
  # disable MSVC inherit via dominance warning
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /wd4250")
  INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E copy
      ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR}\/${versioned} 
      ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR}\/${unversioned})")
else()
  EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink ${versioned} ${unversioned})
  INSTALL(FILES ${PROJECT_BINARY_DIR}/${unversioned} DESTINATION ${IGNITION_PHYSICS_ENGINE_INSTALL_DIR})
endif()

ign_build_tests(
  TYPE UNIT_tpe
  SOURCES ${test_sources}
  LIB_DEPS
    ${features}
    ignition-plugin${IGN_PLUGIN_VER}::loader
    ignition-common${IGN_COMMON_VER}::ignition-common${IGN_COMMON_VER}
    ${PROJECT_LIBRARY_TARGET_NAME}-sdf
    ${PROJECT_LIBRARY_TARGET_NAME}-mesh
  TEST_LIST tests)

foreach(test ${tests})

  target_include_directories(${test} PRIVATE ${tpelib_dir})
  target_compile_definitions(${test} PRIVATE
    "tpe_plugin_LIB=\"$<TARGET_FILE:${tpe_plugin}>\""
    "TEST_WORLD_DIR=\"${CMAKE_CURRENT_SOURCE_DIR}/worlds/\""
    "IGNITION_PHYSICS_RESOURCE_DIR=\"${IGNITION_PHYSICS_RESOURCE_DIR}\"")

endforeach()

=== debian/changelog ===
ignition-physics2 (2.5.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.5.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 09 Nov 2021 21:12:05 -0600

ignition-physics2 (2.5.0~pre1-1~buster) buster; urgency=medium

  * ignition-physics2 2.5.0~pre1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 28 Oct 2021 20:47:35 -0500

ignition-physics2 (2.4.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Apr 2021 19:00:18 -0700

ignition-physics2 (2.3.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 05 Oct 2020 17:59:51 -0700

ignition-physics2 (2.2.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 31 Jul 2020 15:56:04 -0700

ignition-physics2 (2.1.0-2~buster) buster; urgency=medium

  * ignition-physics2 2.1.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 28 May 2020 08:40:42 -0700

ignition-physics2 (2.1.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 May 2020 09:28:55 -0700

ignition-physics2 (2.0.0-2~buster) buster; urgency=medium

  * ignition-physics2 2.0.0-2 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 25 Apr 2020 18:55:11 +0200

ignition-physics2 (2.0.0-1~buster) buster; urgency=medium

  * ignition-physics2 2.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 00:09:59 +0100

=== debian/control ===
Source: ignition-physics2
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev,
               libignition-common3-graphics-dev,
               libignition-common3-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
# dart without major version number to get versions coming from Debian
               libdart6-dev (<< 6.10.0) | libdart-dev (<< 6.10.0),
               libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (<< 6.10.0),
               libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (<< 6.10.0),
               libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (<< 6.10.0),
               libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (<< 6.10.0),
               libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (<< 6.10.0),
               libsdformat9-dev
Vcs-Browser: https://github.com/ignition-release/ign-physics2-release
Vcs-Hg: https://github.com/ignition-release/ign-physics2-release
Homepage: http://ignitionrobotics.org/

Package: libignition-physics2-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core component, development files

Package: libignition-physics2-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-cmake2-dev,
         libsdformat9-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - SDF Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  SDF component, development files

Package: libignition-physics2-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-cmake2-dev,
         libignition-common3-graphics-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Mesh Dev files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Mesh component, development files

Package: libignition-physics2
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Shared library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-physics2-dartsim-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-mesh-dev,
         libignition-cmake2-dev,
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libdart6-dev (<< 6.10.0) | libdart-dev (<< 6.10.0),
         libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (<< 6.10.0),
         libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (<< 6.10.0),
         libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (<< 6.10.0),
         libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (<< 6.10.0),
         libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (<< 6.10.0),
         libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (<< 6.10.0),
         libsdformat9-dev,
         libignition-physics2-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Dartsim component, development files

Package: libignition-physics2-dartsim
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  DARTSim component shared library

Package: libignition-physics2-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-mesh-dev,
         libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat9-dev,
         libignition-physics2-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component, development files

Package: libignition-physics2-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component shared library

Package: libignition-physics2-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Development files
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component, development files

Package: libignition-physics2-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Dartsim library
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component shared library

Package: libignition-physics2-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev,
         libignition-physics2-dartsim-dev,
         libignition-physics2-mesh-dev,
         libignition-physics2-sdf-dev,
         libignition-physics2-tpe-dev,
         libignition-physics2-tpelib-dev,
         ${misc:Depends}
Multi-Arch: same
Description: Ignition Physics classes and functions for robot apps - Metapackage
  Ignition Physics is a component in the ignition framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage, all development files

## ignition-physics2 2.5.1-1~focal

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,18 +3,17 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-physics2 VERSION 2.5.0)
+project(ignition-physics2 VERSION 2.5.1)
 
 #============================================================================
 # Find ignition-cmake
 #============================================================================
-find_package(ignition-cmake2 2.8.0 REQUIRED)
+find_package(ignition-cmake2 2.14.0 REQUIRED)
 
 #============================================================================
 # Configure the project
 #============================================================================
 ign_configure_project(VERSION_SUFFIX)
-
 
 #============================================================================
 # Set project-specific options
@@ -67,7 +66,7 @@
     collision-ode
     utils
     utils-urdf
-  EXTRA_ARGS CONFIG
+  CONFIG
   VERSION 6.9
   REQUIRED_BY dartsim
   PKGCONFIG dart
@@ -80,7 +79,7 @@
 
 # Plugin install dirs
 set(IGNITION_PHYSICS_ENGINE_INSTALL_DIR
-  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${IGN_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
+  ${CMAKE_INSTALL_PREFIX}/${IGN_LIB_INSTALL_DIR}/ign-${GZ_DESIGNATION}-${PROJECT_VERSION_MAJOR}/engine-plugins
 )
 
 #============================================================================

=== debian/changelog ===
ignition-physics2 (2.5.1-1~focal) focal; urgency=medium

  * ignition-physics2 2.5.1-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 17 Aug 2022 08:55:56 -0700

ignition-physics2 (2.5.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.5.0-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Tue, 09 Nov 2021 21:12:05 -0600

ignition-physics2 (2.5.0~pre1-1~focal) focal; urgency=medium

  * ignition-physics2 2.5.0~pre1-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Thu, 28 Oct 2021 20:47:35 -0500

ignition-physics2 (2.4.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.4.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Wed, 14 Apr 2021 19:00:18 -0700

ignition-physics2 (2.3.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.3.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Mon, 05 Oct 2020 17:59:50 -0700

ignition-physics2 (2.2.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.2.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 31 Jul 2020 15:56:04 -0700

ignition-physics2 (2.1.0-2~focal) focal; urgency=medium

  * ignition-physics2 2.1.0-2 release

 -- Louise Poubel <louise@openrobotics.org>  Thu, 28 May 2020 08:40:42 -0700

ignition-physics2 (2.1.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.1.0-1 release

 -- Louise Poubel <louise@openrobotics.org>  Fri, 08 May 2020 09:28:55 -0700

ignition-physics2 (2.0.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.0.0-1 release

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 11 Dec 2019 00:09:59 +0100

## ignition-physics2 2.6.2-1~focal

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 #============================================================================
 # Initialize the project
 #============================================================================
-project(ignition-physics2 VERSION 2.5.1)
+project(ignition-physics2 VERSION 2.6.2)
 
 #============================================================================
 # Find ignition-cmake
@@ -13,7 +13,10 @@
 #============================================================================
 # Configure the project
 #============================================================================
-ign_configure_project(VERSION_SUFFIX)
+ign_configure_project(
+  REPLACE_IGNITION_INCLUDE_PATH gz/physics
+  VERSION_SUFFIX
+)
 
 #============================================================================
 # Set project-specific options

=== include/CMakeLists.txt ===
add_subdirectory(gz/physics)
install(DIRECTORY ignition DESTINATION ${IGN_INCLUDE_INSTALL_DIR_FULL})

=== tpe/CMakeLists.txt ===
add_subdirectory(lib)
add_subdirectory(plugin)

install(
  DIRECTORY include/
  DESTINATION "${IGN_INCLUDE_INSTALL_DIR_FULL}")

=== examples/hello_world_loader/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+
+project(ign-physics-hello-world-loader)
 
 set(IGN_PLUGIN_VER 1)
 find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

=== examples/hello_world_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+
+project(ign-physics-hello-world-plugin)
 
 set(IGN_PLUGIN_VER 1)
 find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

=== examples/simple_plugin/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,6 @@
 cmake_minimum_required(VERSION 3.5 FATAL_ERROR)
+
+project(ign-physics-simple-plugin)
 
 set(IGN_PLUGIN_VER 1)
 find_package(ignition-plugin${IGN_PLUGIN_VER} 1.1 REQUIRED COMPONENTS all)

=== debian/changelog ===
ignition-physics2 (2.6.2-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.2-1 release

 -- Addisu Z. Taddese <addisu@openrobotics.org>  Fri, 05 Jan 2024 19:10:40 -0600

ignition-physics2 (2.6.1-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.1-1 release

 -- Steve Peters <scpeters@openrobotics.org>  Thu, 12 Jan 2023 10:41:55 -0800

ignition-physics2 (2.6.0-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.0-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 30 Nov 2022 11:01:13 -0800

ignition-physics2 (2.6.0~pre1-1~focal) focal; urgency=medium

  * ignition-physics2 2.6.0~pre1-1 release

 -- Nate Koenig <nate@openrobotics.org>  Wed, 30 Nov 2022 08:47:13 -0800

=== debian/control ===
Source: ignition-physics2
Standards-Version: 3.9.8
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Section: science
Priority: optional
Build-Depends: cmake,
               pkg-config,
               debhelper (>= 9),
               libignition-cmake2-dev (>= 2.14.0),
               libignition-common3-graphics-dev,
               libignition-common3-profiler-dev,
               libignition-math6-dev,
               libignition-math6-eigen3-dev,
               libignition-plugin-dev (>= 1.1.0),
               libdart6-dev (<< 6.10.0) | libdart-dev (>> 6.9.0),
               libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (>> 6.9.0),
               libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (>> 6.9.0),
               libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (>> 6.9.0),
               libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (>> 6.9.0),
               libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (>> 6.9.0),
               libsdformat9-dev
Vcs-Browser: https://github.com/gazebosim/gz-physics
Vcs-Git: https://github.com/gazebosim/gz-physics
Homepage: http://gazebosim.org/

Package: libignition-physics2-core-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.14.0),
         libignition-math6-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Core component, development files

Package: libignition-physics2-sdf-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.14.0),
         libsdformat9-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - SDF Dev files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  SDF component, development files

Package: libignition-physics2-mesh-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.14.0),
         libignition-common3-graphics-dev,
         libignition-physics2 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Mesh Dev files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Mesh component, development files

Package: libignition-physics2
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Shared library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Main shared library

Package: libignition-physics2-dartsim-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev (= ${binary:Version}),
         libignition-physics2-sdf-dev (= ${binary:Version}),
         libignition-physics2-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.14.0),
         libignition-common3-graphics-dev,
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libdart6-dev (>> 6.9.0) | libdart-dev (>> 6.9.0),
         libdart6-collision-ode-dev (<< 6.10.0) | libdart-collision-ode-dev (>> 6.9.0),
         libdart6-utils-urdf-dev (<< 6.10.0) | libdart-utils-urdf-dev (>> 6.9.0), 
# following dart dependencies are not direct dependencies
# added here to force upgrade from 6.7.2
         libdart6-utils-dev (<< 6.10.0) | libdart-utils-dev (>> 6.9.0),
         libdart6-external-odelcpsolver-dev (<< 6.10.0) | libdart-external-odelcpsolver-dev (>> 6.9.0),
         libdart6-external-ikfast-dev (<< 6.10.0) | libdart-external-ikfast-dev (>> 6.9.0),
         libdart6-collision-bullet-dev (<< 6.10.0) | libdart-collision-bullet-dev (>> 6.0.0),
         libsdformat9-dev,
         libignition-physics2-dartsim (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Dartsim component, development files

Package: libignition-physics2-dartsim
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Dartsim library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  DARTSim component shared library

Package: libignition-physics2-tpe-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev (= ${binary:Version}),
         libignition-physics2-sdf-dev (= ${binary:Version}),
         libignition-physics2-mesh-dev (= ${binary:Version}),
         libignition-cmake2-dev (>= 2.14.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libsdformat9-dev,
         libignition-physics2-tpe (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component, development files

Package: libignition-physics2-tpe
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Dartsim library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE plugin component shared library

Package: libignition-physics2-tpelib-dev
Architecture: any
Section: libdevel
Depends: libignition-cmake2-dev (>= 2.14.0),
         libignition-math6-dev,
         libignition-math6-eigen3-dev,
         libignition-plugin-dev (>= 1.1.0),
         libignition-physics2-tpelib (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Development files
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component, development files

Package: libignition-physics2-tpelib
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Dartsim library
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  TPE library component shared library

Package: libignition-physics2-dev
Architecture: any
Section: libdevel
Depends: libignition-physics2-core-dev (= ${binary:Version}),
         libignition-physics2-dartsim-dev (= ${binary:Version}),
         libignition-physics2-mesh-dev (= ${binary:Version}),
         libignition-physics2-sdf-dev (= ${binary:Version}),
         libignition-physics2-tpe-dev (= ${binary:Version}),
         libignition-physics2-tpelib-dev (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Gazebo Physics classes and functions for robot apps - Metapackage
  Gazebo Physics is a component in the Gazebo framework, a set of libraries
  designed to rapidly develop robot applications.
  .
  Metapackage, all development files

Package: libgz-physics2-core-dev
Depends: libignition-physics2-core-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-sdf-dev
Depends: libignition-physics2-sdf-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-mesh-dev
Depends: libignition-physics2-mesh-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2
Depends: libignition-physics2, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-dartsim-dev
Depends: libignition-physics2-dartsim-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-dartsim
Depends: libignition-physics2-dartsim, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-tpe-dev
Depends: libignition-physics2-tpe-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-tpe
Depends: libignition-physics2-tpe, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-tpelib-dev
Depends: libignition-physics2-tpelib-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-tpelib
Depends: libignition-physics2-tpelib, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

Package: libgz-physics2-dev
Depends: libignition-physics2-dev, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: transitional package
 It's recommended to use the gz packages going forward.

=== debian/rules ===
#!/usr/bin/make -f

.PHONY: override_dh_auto_configure \
        override_dh_install \
        override_dh_auto_test

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DCMAKE_BUILD_TYPE=RelWithDebInfo

override_dh_install:
	dh_install --
	dh_missing --list-missing

# test cannot run in parallel
# arm64 problems https://github.com/gazebosim/gz-physics/issues/70
override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),arm64)
	true
else
	dh_auto_test --max-parallel=1
endif
